<?php

namespace App\Http\Controllers;

use Doctrine\DBAL\Schema\View;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Log;

class SuspencionesController extends Controller
{
    public function IndexSuspenciones()
    {
        return View('suspenciones.indexSuspenciones');
    }
    public function ListarSuspenciones()
    {
        try {
            $dataSupenciones = DB::table('suspensiones')
                ->join('co_socios', 'suspensiones.id_socio', 'co_socios.IdSocios')
                ->join('co_ente', 'co_socios.IdEnte', 'co_ente.id_ente')
                ->join('ct_cliente_deuda', 'suspensiones.id_deuda', 'ct_cliente_deuda.id_cliente_deuda')
                ->join('ct_factura_cab', 'ct_factura_cab.id_factura_cab', 'ct_cliente_deuda.id_factura_cab')
                ->join('ct_deuda_cab', 'ct_factura_cab.id_deuda', 'ct_deuda_cab.id_deuda_cab')
                ->select(['ct_deuda_cab.descripcion', 'ct_factura_cab.num_documento', 'ct_cliente_deuda.saldo','ct_cliente_deuda.fecha_vencimiento', 'co_ente.nombre_completo', 'suspensiones.*'])
                ->get();
            return response()->json(['status' => 'ok', 'datos' => $dataSupenciones]);
        } catch (\Throwable $th) {
          return response()->json(['status' => 'ok', 'datos' => []]);
        }
    }
}
